import java.io.*;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.util.ArrayList;
import java.util.List;
import java.util.regex.Pattern;

public class Overwrite {
    public static boolean checkIfPeselExists(File file, List personalData) {
        if(file.exists()) {
            List<String> fileContent = new ArrayList<>();

            try {
                fileContent = new ArrayList<>(Files.readAllLines(file.toPath(), StandardCharsets.UTF_8));
            } catch (IOException ex) {
                System.out.println(ex.getMessage());
            }

            Pattern patternFirstName = Pattern.compile(personalData.get(1).toString());
            Pattern patternLastName = Pattern.compile(personalData.get(2).toString());
            Pattern patternPesel = Pattern.compile(personalData.get(3).toString());

            boolean peselInFile = false;

            for(int i = 0; i < fileContent.size(); i++) {
                if(patternPesel.matcher(fileContent.get(i)).find() && !patternFirstName.matcher(fileContent.get(i)).find() &&
                        !patternLastName.matcher(fileContent.get(i)).find()) {
                    String dataToOverwrite = personalData.get(0) + " " + personalData.get(1) + " "
                            + personalData.get(2) + " " + personalData.get(3);
                    fileContent.set(i,  dataToOverwrite);
                    peselInFile = true;
                }
            }

            if(peselInFile) {
                try {
                    Files.write(file.toPath(), fileContent, StandardCharsets.UTF_8);
                } catch (IOException ex) {
                    System.out.println(ex.getMessage());
                }
                System.out.println("Osoba o podanym PESEL-u została już wcześniej wprowadzona. Dane zostały nadpisane.");

                return true;
            }
            else {
                return false;
            }

        } else {
            System.out.println("Problem z odczytaniem danych z pliku.");
            return false;
        }
    }
}
