import org.junit.Test;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

public class PeselTest {

    @Test
    public void checkPeselText() {
        String[] texts = {"Lorem ipsum", "dolor", "sit", "amet"};

        for(String t : texts) {
            boolean result = Pesel.checkPesel(t);
            assertFalse(result);
        }
    }

    @Test
    public void checkPeselInputLength() {
        String[] numbers1 = {"49062718478", "77061559693", "55091042989", "60062692771", "51112482695", "45123178535"};

        for(String num : numbers1) {
            boolean result = Pesel.len(num);
            assertTrue(result);
        }

        String[] numbers2 = {"490627184781", "770615596", "5509104298911", "6006269", "511124826952", "451231785355"};
        for(String num : numbers2) {
            boolean result = Pesel.len(num);
            assertFalse(result);
        }
    }

    @Test
    public void checkPeselChecksum() {
        String[] numbers1 = {"49062718478", "77061559693", "55091042989", "60062692771", "51112482695", "45123178535"};
        for(String num : numbers1) {
            boolean result = Pesel.checksum(num);
            assertTrue(result);
        }

        String[] numbers2 = {"49062718479", "77061559694", "55091042980", "60062692772", "51112482696", "45123178534"};
        for(String num : numbers2) {
            boolean result = Pesel.checksum(num);
            assertFalse(result);
        }
    }

    @Test
    public void checkPeselDayOfBirth() {
        String[] numbers1 = {"49062718478", "77061559693", "55091042989", "60062692771", "51112482695", "45123178535"};
        for (String num : numbers1) {
            boolean result = Pesel.dayOfBirth(num);
            assertTrue(result);
        }

        String[] numbers2 = {"49060018478", "77063259693", "55094442989", "60066592771", "51118782695", "45123278535"};
        for (String num : numbers2) {
            boolean result = Pesel.dayOfBirth(num);
            assertFalse(result);
        }
    }
}