import org.junit.Before;
import org.junit.Test;

import java.io.File;
import java.io.IOException;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

public class WriteTest {
    protected File file;

    @Before
    public void setUp() {
        DateTimeFormatter dtf = DateTimeFormatter.ofPattern("dd-MM-yyyy HH-mm-ss");
        LocalDateTime now = LocalDateTime.now();
        String fileName = now.format(dtf) + " lista.txt";
        file = new File(fileName);
        try {
            file.createNewFile();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Test
    public void writeTestPass() {
        List<String> person = new ArrayList<String>();
        person.add("Gniezno");
        person.add("Jan");
        person.add("Kowalski");
        person.add("89042836312");

        assertTrue(Write.write(file, person));
    }

    @Test
    public void writeTestFail() {
        List<String> person = new ArrayList<String>();
        person.add("Gniezno");
        person.add("Jan");
        person.add("Kowalski");
        person.add("89042836312");

        file.delete();

        assertFalse(Write.write(file, person));
    }
}